libnpupnp (6.2.0-1~ppa1~buster) buster; urgency=low

  * Improved multi-interface search: send M-SEARCH on all configured
    interfaces instead of relying on routing.
  * Add interface method to set an Access-Control-Allow-Origin header
    on webserver responses.
  * Accept unquoted values in SOAPACTION headers.
  * Misc small fixes
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 17 Aug 2024 09:02:00 +0200

libnpupnp (6.1.2-1~ppa1~buster) buster; urgency=low

  * Removed autotools build system, now using meson.

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 31 Mar 2024 16:51:00 +0200

libnpupnp (6.1.1-1~ppa1~buster) buster; urgency=low

  * Misc internal cleanups, mostly based on automated analysis tools
   (cppcheck, fanalyzer, clang-tidy).

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 04 Mar 2024 10:51:00 +0100

libnpupnp (6.1.0-1~ppa1~buster) buster; urgency=low

  * Misc small internal cleanups, mostly for multi-platform building.
  * Add interface to free the netif data memory.

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 07 Jan 2024 19:00:00 +0100

libnpupnp (6.0.1-1~ppa1~buster) buster; urgency=low

  * Switch UPnP version to 1.1.
  * Add bootid, configid headers to the SSDP packets, and the corresponding
    init() options. Set TTL to 2 instead of 4.
  * Description parser utility. Store the download URL.
  * Control: schedule events for sending the search packets instead of
    sleeping in the client thread.
  * Control: export the minimum and maximum values for the search window in
    upnp.h, the client may need them.
  * Add interface to perform unicast search.
  * (6.0.1 fixes event blunder in 6.0.0 which was very short-lived)

 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 22 Dec 2023 17:39:00 +0100

libnpupnp (5.1.2-1~ppa1~buster) buster; urgency=low

  * Debian packaging and sonum update.

 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 18 Nov 2023 11:53:00 +0100

libnpupnp2 (5.1.1-2~ppa1~buster) buster; urgency=low

  * Rebuilt for rpi 1 (armv6) compatibility
  * Fix choosing interface to use for Gena callback URL: we could sometimes
    choose an inactive interface.

 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 03 Nov 2023 18:53:00 +0100

libnpupnp2 (5.1.0-1~ppa1~buster) buster; urgency=low

  * Control: add milliseconds timeout option to SoapSendAction(). This is
    mostly intended to enable polling a device health, and implemented by
    checking the the responseData previously output-only, now input/output,
    argument for additional parameters given as (nm, value) string
    pairs. The only parameter checked at the moment is ("timeoutms",
    "value"). This change is source and ABI compatible except in the quite
    unlikely case where the existing code called the function with a
    non-empty output array containing a pair with a "timeoutms" first
    element.
  * Control: added an interface to set an HTTP timeout for the
    subscribe/unsubscribe operations. The default previous fixed value of
    30 S is kept, but can now be overridden. The change does not change the
    ABI for an existing program.
  * Given that upplay/libupnpp is the only known user of the lib control
    side, the package name or shared library major version were not
    changed.

 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 12 Oct 2023 18:53:00 +0200

libnpupnp2 (5.0.2-1~ppa1~buster) buster; urgency=low

  * Minuscule internal changes. Sync with Windows version.

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 19 Apr 2023 15:59:00 +0100

libnpupnp2 (5.0.1-1~ppa1~buster) buster; urgency=low

  * Web server: fixed bad HTTP protocol conformance when handling range
    requests. Would bother a lot correct clients which check status codes
    and headers instead of just using the data, (e.g.: vlc).
  * New alternate Meson build.
  * Misc small cleanups inspired by clang-tidy and other housekeeping.

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 22 Feb 2023 16:33:00 +0100

libnpupnp2 (5.0.0-1~ppa1~buster) buster; urgency=low

  * Changed the API to avoid truncation of some long subscription
    IDs. Upnp_SID is now an std::string instead of a fixed size array. This
    change should be source-compatible for programs which used the
    UpnpEvent_get_SID_cstr() macro for accessing the value, but the ABI
    changes, hence the major version, package, and shared lib version
    changes.

 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 12 Aug 2022 11:50:00 +0200

libnpupnp1 (4.2.3-1~ppa1~buster) buster; urgency=low

  * Fix bug which could close stderr when changing the log level.
  * Miscellaneous mostly stylistic changes.

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 05 Jul 2022 16:50:00 +0200

libnpupnp1 (4.2.2-1~ppa1~buster) buster; urgency=low

  * Clean up a bit static library object name space pollution

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 24 Apr 2022 09:53:00 +0200

libnpupnp1 (4.2.1-2~ppa1~buster) buster; urgency=low

  * Fix shared lib version  oops

 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 06 Jan 2022 13:44:00 +0100

libnpupnp1 (4.2.0-1~ppa1~buster) buster; urgency=low

  * Add UpnpSetHostValidateCallback alias to
    UpnpSetWebRequestHostValidateCallback for compatibility with libupnp 1.14.x
  * Control side: simplify internal Subscription ID management. Should have no
    externally visible consequence.
  * Miscellaneous cleanups.

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 05 Jan 2022 13:44:00 +0100

libnpupnp1 (4.1.5-1~ppa1~buster) buster; urgency=low

  * Small fixes, esp. support Windows non ascii adapter names

 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 23 Sep 2021 12:05:00 +0200

libnpupnp1 (4.1.4-1~ppa1~buster) buster; urgency=low

  * Fix vulnerability to DNS-rebind attacks.

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 19 Apr 2021 12:05:00 +0200

libnpupnp1 (4.1.3-1~ppa1~buster) buster; urgency=low

  * Improve pupnp compatibility by defining PUPNP_USING_CHUNKED in API.

 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 09 Apr 2021 09:03:00 +0200

libnpupnp1 (4.1.2-1~ppa1~buster) buster; urgency=low

  * Fix working with multiple ipv6 link-local interfaces by adding RFC 6874
    zone identifiers to the URLs passed to the client code.
  * Added UpnpGetUrlHostPortForClient() interface to help users of the web
    server compute their URLs.
  * Small build and compat fixes

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 05 Apr 2021 16:32:00 +0200

libnpupnp1 (4.1.1-1~ppa1~buster) buster; urgency=low

  * Fix HEAD request processing. Fixes Samsung TVs not working with Gerbera+libnpupnp

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 14 Mar 2021 16:30:00 +0100

libnpupnp1 (4.1.0-1~ppa1~buster) buster; urgency=low

  * Send SERVER and USER-AGENT headers in misc places where mandated or useful.
  * Add API for the client code to set the user-agent and server string values
  * Fix building and running with --disable-ipv6
  * Misc portability fixes.

 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 13 Mar 2021 13:30:00 +0100

libnpupnp1 (4.0.14-1~ppa1~buster) buster; urgency=low

  * Fix parsing of UPnP description with multiple embedded devices.
  * Allow using a port below 49152.

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 02 Nov 2020 13:10:00 +0100

libnpupnp1 (4.0.13-1~ppa1~buster) buster; urgency=low

  * Fix bad change in xml-quoting function, which resulted in catastrophic
    performance degradatation for, e.g. reading big playlists.

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 02 Nov 2020 13:10:00 +0100

libnpupnp1 (4.0.12-1~ppa1~buster) buster; urgency=low

  * Accept running with ipv4 only if no ipv6 address is available (when
    ipv6 was enabled by a call to UpnpInit2() or by UPNP_FLAG_IPV6). Add
    UPNP_FLAG_IPV6_REQUIRED option flag for mandatory v6.

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 04 Oct 2020 15:53:00 +0200

libnpupnp1 (4.0.11-1~ppa1~buster) buster; urgency=low

  * Improve compatibility with newer microhttpd versions.

 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 12 Sep 2020 15:11:00 +0200

libnpupnp1 (4.0.10-1~ppa1~buster) buster; urgency=low

  * Forgotten include file in dist.

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 20 Jul 2020 08:09:00 +0200

libnpupnp1 (4.0.9-1~ppa1~buster) buster; urgency=low

  * Restored some SOAP_E_XX error codes removed by mistake from API.

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 14 Jul 2020 08:22:00 +0200

libnpupnp1 (4.0.8-1~ppa1~buster) buster; urgency=low

  * Improved processing of device errors, better error data returned.
  * Optional (configure time) code to fix bad utf-8 in data returned from
    some Media Servers (e.g. Minidlna).
  * Fix/improve the network interface selection code.
  * Export the NetIF API to avoid duplication in libupnpp.

 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 04 Jul 2020 09:57:00 +0200

libnpupnp1 (4.0.7-1~ppa1~buster) buster; urgency=low

  * Fix vulnerability to Callstranger (CVE-2020-12695)

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 22 Jun 2020 14:48:00 +0200

libnpupnp1 (4.0.6-1~ppa1~buster) buster; urgency=low

  * Fix IPV6 operation. Works on Linux, on a single interface.
  * Mac port.

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 10 Jun 2020 18:14:00 +0200

libnpupnp1 (4.0.5-1~ppa1~buster) buster; urgency=low

  * Add wait for network loop at start up. Default is test net every 2 S
    for 60 S.
  * Restore capability to build on debian 8

 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 21 May 2020 10:41:00 +0200

libnpupnp1 (4.0.4-1~ppa1~buster) buster; urgency=low

  * Fix intermittent bug at upplay (CP) startup, due to our curl hack
    causing a double-close, the second one on a descriptor opened by
    microhttpd inbetween.

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 13 May 2020 18:19:00 +0200

libnpupnp1 (4.0.3-1~ppa1~buster) buster; urgency=low

  * Fix initialization not working when several ipv4 on one interface
    (fails on IP_ADD_MEMBERSHIP).

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 12 May 2020 17:42:00 +0200

libnpupnp1 (4.0.2-1~ppa1~buster) buster; urgency=low

  * Fix SSDP location url wrong if service version mismatch

 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 09 May 2020 09:42:00 +0200

libnpupnp1 (4.0.1-1~ppa1~buster) buster; urgency=low

  * Support using multiple network interfaces: one, several, all.
  * Support switching IPV6 use at run time.
  * API change: upnp 1.8 compat new fields Os and user-agent in
    action_request and file_info (gerbera compat).
  * Many style cleanup thanks to clang-tidy and Rosen Penev
  * Proper milliseconds delay computations for sending M-Search
    replies. The previous delay computed in second was often 0.
  * Add small internal XML parser (disabled by default) to allow avoiding
    expat dependancy on systems where it might be a problem.

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 06 May 2020 11:20:00 +0100

libnpupnp1 (2.2.1-1~ppa1~buster) buster; urgency=low

  * Fix issues in processing SOAP error responses
  * Add some XML-string-based interfaces to SOAP and GENA to ease
    transition for software using UpnpxxxEx() calls (using IXML DOM
    parameters).
  * Export device description parser.
  * Export std::string-based api to UpnpDownloadUrlItem()
  * struct File_Info response_headers field changed from map to vector.

 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 19 Mar 2020 15:09:00 +0100

libnpupnp1 (2.1.2-1~ppa1~buster) buster; urgency=low

  * Tentative upmpdcli double-free crash fix

 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 06 Mar 2020 10:30:00 +0100

libnpupnp1 (2.1.1-1~ppa1~buster) buster; urgency=low

  * Fix crash when encountering address-less entry in getifaddrs output.

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 25 Feb 2020 10:41:00 +0100

libnpupnp1 (2.1.0-1~ppa1~buster) buster; urgency=low

  * Fix bug when ipv6 is compiled in but no host net interface supports it.
  * API change: chose sensible approach for communicating HTTP headers.
  * Replace pthreads threads and locking with std::mutex, std::thread,
    std::chrono etc.

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 24 Feb 2020 15:53:00 +0100

libnpupnp1 (2.0.1-1~ppa1~buster) buster; urgency=low

  * Oopsee in soap message format...

 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 07 Feb 2020 13:40:00 +0100

libnpupnp1 (2.0.0-1~ppa1~buster) buster; urgency=low

  * First version with changed API, no need for libixml. pupnp-free!

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 04 Feb 2020 17:40:00 +0100

libnpupnp0 (1.0.0-1~ppa1~buster) buster; urgency=low

  * Initial rewrite of libupnp/pupnp 1.6 branch, replacing local code with
    C++ STL structures, libcurl, and libmicrohttpd

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 28 Jan 2020 10:20:00 +0100
